View Issue Details

IDProjectCategoryView StatusLast Update
0022359mantisbtuipublic2017-02-26 21:17
Reportersyncguru Assigned Tosyncguru  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version2.1.0 
Target Version2.1.1Fixed in Version2.1.1 
Summary0022359: Enhance filter box UI
Description

This appears to be a regression from the filtering code refactoring. Form and fields are no longer modern UI compatible. Expanding many filter fields often results in cell resizing.

TagsNo tags attached.

Activities

syncguru

syncguru

2017-02-10 15:06

developer   ~0055647

PR: https://github.com/mantisbt/mantisbt/pull/1028

atrol

atrol

2017-02-14 04:00

developer   ~0055667

Setting back from closed to resolved as 2.1.1 is not yet released.

Related Changesets

MantisBT: master-2.1 ff0f6bb8

2017-02-10 14:45:10

syncguru


Committer: vboctor Details Diff
Improve filter box user experience

+ Reduce resizing when expanding input fields
+ Clearly indicate disabled vs. enabled date selection fields
+ Use modern UI style checkboxes and radio buttons

Fixes 0022359
Affected Issues
0022359
mod - core/date_api.php Diff File
mod - core/filter_form_api.php Diff File
mod - css/ace-mantis.css Diff File
mod - js/common.js Diff File
mod - manage_filter_edit_page.php Diff File
mod - view_filters_page.php Diff File

MantisBT: master-2.1 f782e9d9

2017-02-10 15:01:21

syncguru


Committer: vboctor Details Diff
Resize relationship dropdown box for filter use

Fixes 0022359
Affected Issues
0022359
mod - core/filter_form_api.php Diff File
mod - core/relationship_api.php Diff File